commit ee8d6c5c3860af572c9befc6a4444061c1f82656
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Apr 22 00:19:16 2023 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 1bf412b8655..255d261f77a 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230421
+20230422
diff --git a/gcc/c-family/ChangeLog b/gcc/c-family/ChangeLog
index 18ee28e6680..a419e0486fd 100644
--- a/gcc/c-family/ChangeLog
+++ b/gcc/c-family/ChangeLog
@@ -1,3 +1,9 @@
+2023-04-21  Jason Merrill  <jason@redhat.com>
+
+	PR c++/107163
+	* c-common.c (verify_tree): Don't use sequenced handling
+	for COMPONENT_REF.
+
 2022-06-28  Release Manager
 
 	* GCC 10.4.0 released.
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 1c57627714a..bbb71668e1f 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,26 @@
+2023-04-21  Jason Merrill  <jason@redhat.com>
+
+	PR c++/105996
+	* typeck.c (build_ptrmemfunc): Drop 0-offset optimization
+	and location wrappers.
+
+2023-04-21  Jason Merrill  <jason@redhat.com>
+
+	PR c++/108975
+	* lambda.c (prune_lambda_captures): Don't bother in a template.
+
+2023-04-21  Jason Merrill  <jason@redhat.com>
+
+	PR c++/69410
+	* friend.c (do_friend): Handle namespace as scope argument.
+	* decl.c (grokdeclarator): Pass down in_namespace.
+
+2023-04-21  Jason Merrill  <jason@redhat.com>
+
+	PR c++/101869
+	* semantics.c (finish_qualified_id_expr): Don't try to build a
+	pointer-to-member if the scope is an enumeration.
+
 2022-12-16  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 6d8ef488fbb..ee1501c253e 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,28 @@
+2023-04-21  Jason Merrill  <jason@redhat.com>
+
+	PR c++/107163
+	* g++.dg/warn/Wsequence-point-5.C: New test.
+
+2023-04-21  Jason Merrill  <jason@redhat.com>
+
+	PR c++/105996
+	* g++.dg/cpp0x/constexpr-pmf3.C: New test.
+
+2023-04-21  Jason Merrill  <jason@redhat.com>
+
+	PR c++/108975
+	* g++.dg/cpp0x/lambda/lambda-const11.C: New test.
+
+2023-04-21  Jason Merrill  <jason@redhat.com>
+
+	PR c++/69410
+	* g++.dg/lookup/friend24.C: New test.
+
+2023-04-21  Jason Merrill  <jason@redhat.com>
+
+	PR c++/101869
+	* g++.dg/cpp0x/enum43.C: New test.
+
 2023-04-18  Philipp Tomsich  <philipp.tomsich@vrull.eu>
 
 	Backported from master:

